#ifndef _TIMER_H_INCLUDED_
#define _TIMER_H_INCLUDED_

typedef int (*timer_handler_t)(int arg, void *p);

int timer_init();
int timer_expire();
int timer_add(int id, int msec, timer_handler_t handler, int arg, void *p);
int timer_del(int id);
int timer_print();

#endif
